com.tibco.tibjms.admin

## Class TransactionInfo

- java.lang.Object
- - com.tibco.tibjms.admin.TransactionInfo

- Direct Known Subclasses:
    DetailedTransactionInfo

      public class TransactionInfo
      extends java.lang.Object

  This class represents an XA transaction.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `TRANSACTION_ACTIVE` State of transaction is active.
    `static char` | `TRANSACTION_ENDSUCCESS` State of transaction is endsuccess.
    `static char` | `TRANSACTION_PREPARED` State of transaction is prepared.
    `static char` | `TRANSACTION_ROLLBACKONLY` State of transaction is rollbackonly.
    `static char` | `TRANSACTION_SUSPENDED` State of transaction is suspended.
    `static char` | `TRANSACTION_UNKNOWN` State of transaction is unknown.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `byte[]` | `getBranchQualifier()` Returns the branch qualifier of the transaction.
    `int` | `getFormatId()` Returns the format id of the transaction.
    `byte[]` | `getGlobalTransactionId()` Returns the global transaction id of the transaction.
    `char` | `getState()` Returns the state of the transaction.
    `java.lang.String` | `toString()` Generate a string representation of this TransactionInfo.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRANSACTION_ACTIVE

          public static final char TRANSACTION_ACTIVE

      State of transaction is active.
      See Also:
        Constant Field Values

    - #### TRANSACTION_ENDSUCCESS

          public static final char TRANSACTION_ENDSUCCESS

      State of transaction is endsuccess.
      See Also:
        Constant Field Values

    - #### TRANSACTION_ROLLBACKONLY

          public static final char TRANSACTION_ROLLBACKONLY

      State of transaction is rollbackonly.
      See Also:
        Constant Field Values

    - #### TRANSACTION_PREPARED

          public static final char TRANSACTION_PREPARED

      State of transaction is prepared.
      See Also:
        Constant Field Values

    - #### TRANSACTION_SUSPENDED

          public static final char TRANSACTION_SUSPENDED

      State of transaction is suspended.
      See Also:
        Constant Field Values

    - #### TRANSACTION_UNKNOWN

          public static final char TRANSACTION_UNKNOWN

      State of transaction is unknown.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getState

          public char getState()

      Returns the state of the transaction.
      Returns:
        the state of the transaction.

    - #### getFormatId

          public int getFormatId()

      Returns the format id of the transaction.
      Returns:
        the format id of the transaction.

    - #### getBranchQualifier

          public byte[] getBranchQualifier()

      Returns the branch qualifier of the transaction.
      Returns:
        the branch qualifier of the transaction.

    - #### getGlobalTransactionId

          public byte[] getGlobalTransactionId()

      Returns the global transaction id of the transaction.
      Returns:
        the global transaction id of the transaction.

    - #### toString

          public java.lang.String toString()

      Generate a string representation of this TransactionInfo.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the transaction.

    - #### from

          public static TransactionInfo from(javax.management.openmbean.CompositeData cd)

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a TransactionInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.

Copyright © Cloud Software Group, Inc. All rights reserved